Get information about the supplier's products
curl --request GET \
--url https://api.example.com/{supplierapi}/productsimport requests
url = "https://api.example.com/{supplierapi}/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/{supplierapi}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/products"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/{supplierapi}/products")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyVersion 1
Get information about the supplier's products
Get information about the supplier’s products
Retrieves information about the products that belong to the logged-in supplier. Note that the records returned are “productdetails”, not products, so there may be multiple records in different statuses with the same product ID.
Response
Top Level Result Object
| Field name | Nullable | Type | Description |
|---|---|---|---|
| fetchedRecords | n | Integer | Number of records returned in this response. |
| totalMatchingRecords | n | Integer | Total number of matching records found. |
| results | n | Array | List of ProductsDetails objects. |
ProductsDetails Object
| Field name | Nullable | Type | Description |
|---|---|---|---|
| productId | n | Integer | Product ID |
| productName | n | String | Product name |
| productStatusCode | n | Character | Product status code |
| productStatus | n | String | Product status name |
| deletePending | n | Boolean | This product has a delete request pending |
GET
/
{supplierapi}
/
products
Get information about the supplier's products
curl --request GET \
--url https://api.example.com/{supplierapi}/productsimport requests
url = "https://api.example.com/{supplierapi}/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/{supplierapi}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/products"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/{supplierapi}/products")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyPath Parameters
Pattern:
supplier|apiv1/supplierQuery Parameters
Only return productsdetails for the product with this ID.
Only return productsdetails that partially match this name.
Only return productsdetails that are in this status.
Sort the results by this field.
Sort the results in this direction.
Position of first result to return.
Number of results to return.
Response
Returned when successful